---
id: version-1.0.x-site-preparation
title: Site Preparation
original_id: site-preparation
---

After [installing Docusaurus](getting-started-installation.md), you now have a skeleton to work from for your specific website. The following discusses the rest of the Docusaurus structure in order for you to prepare your site.

## Directory Structure

As shown after you [installed Docusaurus](getting-started-installation.md), the initialization script created a directory structure similar to:

```bash
root-of-repo
├── docs-examples-from-docusaurus
│   ├── doc1.md
│   ├── doc2.md
│   ├── doc3.md
│   ├── exampledoc4.md
│   └── exampledoc5.md
├── website
│   ├── blog-examples-from-docusaurus
│   │   ├── 2016-03-11-blog-post.md
│   │   └── 2017-04-10-blog-post-two.md
│   ├── core
│   │   └── Footer.js
│   ├── node_modules
│   ├── package.json
│   ├── pages
│   ├── sidebars.json
│   ├── siteConfig.js
│   └── static
```

> You may have already renamed the example blog (`website/blog-examples-from-docusaurus`) and document (`docs-examples-from-docusaurus`) directories when you [verified the installation](getting-started-installation.md##verifying-installation).

- The `website/core/Footer.js` file is a React component that acts as the footer for the site generated by Docusaurus and should be customized by the user.
- The `website/blog-examples-from-docusaurus` folder contains examples of blog posts written in markdown.
- The `docs-examples-from-docusaurus` folder contains example documentation files written in markdown.
- The `website/pages` folder contains example top-level pages for the site.
- The `website/static` folder contains static assets used by the example site.
- The `website/siteConfig.js` file is the main configuration file used by Docusaurus.

You will need to keep the `website/siteConfig.js` and `website/core/Footer.js` files, but may edit them as you wish.

You should keep the `website/pages` and `website/static` folders, but may change the content inside them as you wish. At the bare minimum you should have an `en/index.js` or `en/index.html` file inside `website/pages` and an image to use as your header icon inside `website/static`.
